Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigDailyRollingFileAppender

All Superinterfaces:
  java.rmi.Remote, RemoteConfigAppender, RemoteConfigFileAppender

    public interface RemoteConfigDailyRollingFileAppender

extends RemoteConfigFileAppender

The `RemoteConfigDailyRollingFileAppender` takes charge of managing daily-rolling file appender specific properties.

Since:
  V8.1

Field Summary

Fields inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`java.lang.String` | `getDatePattern()` Gets the daily rolling file appender date pattern.
`void` | `setDatePattern(java.lang.String pattern)` Sets the daily rolling file appender date pattern.

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigFileAppender
`getBufferSize, getFileName, getLayout, getPatternConversion, isAppendable, isBufferedIO, setAppendable, setBufferedIO, setBufferSize, setFileName, setLayout, setPatternConversion`

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Method Detail

### getDatePattern

    java.lang.String getDatePattern()
                                    throws java.rmi.RemoteException

  Gets the daily rolling file appender date pattern.

  Returns:
    the daily rolling file date pattern.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setDatePattern

    void setDatePattern(java.lang.String pattern)
                        throws java.rmi.RemoteException

  Sets the daily rolling file appender date pattern.

  Parameters:
    `pattern` - the pattern of the daily rolling file appender.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD